1. CaNe13's Avatar
    Ok well i got the well known rock app glitch where i lost all my free space. Now i wanna restore back to 3.1.2(7D11) and do a rejailbreak now i went into itunes and hit SHIFT+Restore and selected my ipw file and it says its not compatable with my version. Now i did some reading to find out that apply no longer allows you to downgrade?

    So how do you do it then cause i have yet to upgrade to 3.1.3 and i never want too because theres no jailbreaks out yet for it and i see so many people with my same problem but no solutions does anyone have a guide laying around?
    2010-03-16 10:56 PM
  2. dhamien's Avatar
    There's two stickies at the top of this part of the forum. Guess what they're both about
    2010-03-16 10:59 PM
  3. CaNe13's Avatar
    There's two stickies at the top of this part of the forum. Guess what they're both about
    Why are they all about 3GS? the 3GS in my opinion sucks the 3G is much better. And i want a guide on the 3G NOT the 3GS...
    2010-03-16 11:08 PM
  4. dhamien's Avatar
    Hmm, I thought you had a 3GS because 3G phones don't need signatures. You can downgrade a 3G all you want. Shift-restoring does work, you just need to select the right firmware.
    2010-03-16 11:11 PM
  5. CaNe13's Avatar
    Hmm, I thought you had a 3GS because 3G phones don't need signatures. You can downgrade a 3G all you want. Shift-restoring does work, you just need to select the right firmware.
    Well i have 7D11 installed and when i download that same exact firmware and shift+restore i get the same msg evertime this version is not compatable with your version.

    So tell me what the hell am i doing wrong?

    And if you looked at my profile you would see i run a 3G not a lame 3GS lol
    2010-03-16 11:22 PM
  6. dhamien's Avatar
    Well i have 7D11 installed and when i download that same exact firmware and shift+restore i get the same msg evertime this version is not compatable with your version.

    So tell me what the hell am i doing wrong?

    And if you looked at my profile you would see i run a 3G not a lame 3GS lol
    Yeah, attitude will get you help
    2010-03-16 11:47 PM
  7. CaNe13's Avatar
    Yeah, attitude will get you help
    There was no attitude there dude? i left a "lol" at the end.

    Anyways im still looking to get this resolved as i have no apps still showing on my iphone..
    2010-03-18 05:53 AM
  8. moon#pie's Avatar
    Try downloading the firmware somewhere else. Sometimes they are mislabeled. I had the same problem.
    2010-03-18 06:16 AM
  9. dhamien's Avatar
    There was no attitude there dude? i left a "lol" at the end.

    Anyways im still looking to get this resolved as i have no apps still showing on my iphone..
    Ok then. The 'incompatible' error means you've downloaded the wrong firmware. You can download the correct one from here: iPod and iPhone Firmware Download those are all official firmwares and they're downloaded from Apple's servers.

    Be sure to select the correct one for your device. For an iPhone 3G, the downloaded file should look like this: iPhone1,2_3.1.2_7D11_Restore.ipsw
    2010-03-18 02:47 PM
  10. CaNe13's Avatar
    Try downloading the firmware somewhere else. Sometimes they are mislabeled. I had the same problem.
    Alright ill give that a try.

    Ok then. The 'incompatible' error means you've downloaded the wrong firmware. You can download the correct one from here: iPod and iPhone Firmware Download those are all official firmwares and they're downloaded from Apple's servers.

    Be sure to select the correct one for your device. For an iPhone 3G, the downloaded file should look like this: iPhone1,2_3.1.2_7D11_Restore.ipsw
    Ill give this link you provided a try n see if i can get a good copy of the firmware from it.

    Just wondering witch version should i downgrade too? Should i just go back to 3.1.2? or should i go as low as 3.0?
    Last edited by CaNe13; 2010-03-19 at 12:33 AM. Reason: Automerged Doublepost
    2010-03-19 12:33 AM
  11. dhamien's Avatar
    Alright ill give that a try.



    Ill give this link you provided a try n see if i can get a good copy of the firmware from it.

    Just wondering witch version should i downgrade too? Should i just go back to 3.1.2? or should i go as low as 3.0?
    Just stick to 3.1.2. There's really no reason to go lower.
    2010-03-19 05:41 PM
LINK TO POST COPIED TO CLIPBOARD